Bug 3767 - elm and LC_ALL=fi_FI setting in xterm window
elm and LC_ALL=fi_FI setting in xterm window
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: elm (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-28 00:41 EDT by eloranta
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-31 15:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eloranta 1999-06-28 00:41:01 EDT
When one has environment setting LC_ALL=fi_FI and
tires to use elm in xterm window then the line wrapping
is wrong. Ie. elm always tries to display lines as one
character too long than the line length is. This results
in messy screen and it is quite impossible to use elm
in xterm then. Resizing the xterm window or playing with
stty settings does not help. elm works ok in ascii console
windows. The same bug exists in kterm too.
If I remove the LC_ALL setting then elm work ok.
Comment 1 Jay Turner 1999-06-28 08:42:59 EDT
This issue has been forwarded to a developer for further action.
Comment 2 Jeff Johnson 1999-08-31 15:59:59 EDT
With elm-2.5.1, using a message with exactly 80 chars in each
line, I tried
	LC_ALL=fi_FI elm
in a 80x25 xterm. I could not display the message until I resized
the xterm to 80x73. However, the problem seemed independent of
specifying LC_ALL=fi_FI, and resizing the window seems acceptable
as a workaround to whatever problem elm has.

Note You need to log in before you can comment on or make changes to this bug.